# TextProvider

@Incubating
interface TextProvider

Provides access to the content of a generated text file.

## Functions

asBuilder
Link copied to clipboard
abstract fun asBuilder(): StringBuilder
Get the content as a StringBuilder, permitting direct modification.
getText
Link copied to clipboard
abstract fun getText(): String
The text content.
setText
Link copied to clipboard
abstract fun setText(value: String)
Replace the content.